<?php

namespace App\Classes\Modules\Currencies\Standards\Rules\Rates;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Currencies\DataTransferObjects\RateObject;

class CanFetchRate extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param RateObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param RateObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}